<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw33="http://www.istandaarden.nl/iwlz/1_2/aw33/schema/1_2"
	xmlns:zk33="http://www.istandaarden.nl/iwlz/1_2/zk33/schema/1_2"
	xmlns:io31="http://www.istandaarden.nl/iwlz/1_2/io31/schema/1_2">
	<!-- iWlz 1.2 CD018 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD018" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD018"/>
	</xsl:template>

	<xsl:template match="aw33:Indicatie/aw33:Afgiftedatum" mode="CD018">
		<!-- Have to compare dates like this in XSLT1 -->
		<xsl:if test="translate(text(), '-', '') &lt; 20110801 ">
			<!-- Use implication rather than value for better error message -->
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">*</xsl:with-param>
				<xsl:with-param name="pOther" select="../aw33:Aanvraagnummer" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD018</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">*</xsl:with-param>
				<xsl:with-param name="pOther" select="../../aw33:CizCode" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD018</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="zk33:Indicatie/zk33:Afgiftedatum" mode="CD018">
		<!-- Have to compare dates like this in XSLT1 -->
		<xsl:if test="translate(text(), '-', '') &lt; 20110801 ">
			<!-- Use implication rather than value for better error message -->
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">*</xsl:with-param>
				<xsl:with-param name="pOther" select="../zk33:Aanvraagnummer" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD018</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">*</xsl:with-param>
				<xsl:with-param name="pOther" select="../../zk33:CizCode" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD018</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="io31:Indicatie/io31:Afgiftedatum" mode="CD018">
		<!-- Have to compare dates like this in XSLT1 -->
		<xsl:if test="translate(text(), '-', '') &lt; 20110801 ">
			<!-- Use implication rather than value for better error message -->
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">*</xsl:with-param>
				<xsl:with-param name="pOther" select="../../io31:CizCode" />
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD018</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
