<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw33="http://www.istandaarden.nl/iwlz/1_2/aw33/schema/1_2" xmlns:aw317="http://www.istandaarden.nl/iwlz/1_2/aw317/schema/1_2"
	xmlns:zk33="http://www.istandaarden.nl/iwlz/1_2/zk33/schema/1_2" xmlns:io31="http://www.istandaarden.nl/iwlz/1_2/io31/schema/1_2">
	<!-- iWlz 1.2 CD029 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD029" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD029" />
	</xsl:template>

	<xsl:template match="aw33:Indicatie" mode="CD029">
		<xsl:choose>
			<xsl:when test="count(./*/*[aw33:ZzpCode/text() != '999'] | ./aw33:GeindiceerdeFuncties/* | ./aw33:ToegewezenFuncties/*) &gt; 0">
				<xsl:call-template name="checkimplication">
					<xsl:with-param name="pThis" select="(./*/*[aw33:ZzpCode/text() != '999'] | ./aw33:GeindiceerdeFuncties/* | ./aw33:ToegewezenFuncties/*)[1]" />
					<xsl:with-param name="pValue1">#</xsl:with-param>
					<xsl:with-param name="pOther" select="./aw33:Grondslagen" />
					<xsl:with-param name="pValue2">#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pThis" select="./aw33:Grondslagen" />
					<xsl:with-param name="pValues">!#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="zk33:Indicatie" mode="CD029">
		<xsl:choose>
			<xsl:when test="count(./*/*[zk33:ZzpCode/text() != '999'] | ./zk33:GeindiceerdeFuncties/* | ./zk33:ToegewezenFuncties/*) &gt; 0">
				<xsl:call-template name="checkimplication">
					<xsl:with-param name="pThis" select="(./*/*[zk33:ZzpCode/text() != '999'] | ./zk33:GeindiceerdeFuncties/* | ./zk33:ToegewezenFuncties/*)[1]" />
					<xsl:with-param name="pValue1">#</xsl:with-param>
					<xsl:with-param name="pOther" select="./zk33:Grondslagen" />
					<xsl:with-param name="pValue2">#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pThis" select="./zk33:Grondslagen" />
					<xsl:with-param name="pValues">!#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="io31:Indicatie" mode="CD029">
		<xsl:choose>
			<xsl:when test="count(./*/*[io31:ZzpCode/text() != '999'] | ./io31:GeindiceerdeFuncties/*) &gt; 0">
				<xsl:call-template name="checkimplication">
					<xsl:with-param name="pThis" select="(./*/*[io31:ZzpCode/text() != '999'] | ./io31:GeindiceerdeFuncties/*)[1]" />
					<xsl:with-param name="pValue1">#</xsl:with-param>
					<xsl:with-param name="pOther" select="./io31:Grondslagen" />
					<xsl:with-param name="pValue2">#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pThis" select="./io31:Grondslagen" />
					<xsl:with-param name="pValues">!#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="aw317:Indicatie" mode="CD029">
		<xsl:choose>
			<xsl:when test="count(./*/*[aw317:ZzpCode/text() != '999'] | ./aw317:GeindiceerdeFuncties/* | ./aw317:WachtlijstFuncties/*) &gt; 0">
				<xsl:call-template name="checkimplication">
					<xsl:with-param name="pThis" select="(./*/*[aw317:ZzpCode/text() != '999'] | ./aw317:GeindiceerdeFuncties/* | ./aw317:WachtlijstFuncties/*)[1]" />
					<xsl:with-param name="pValue1">#</xsl:with-param>
					<xsl:with-param name="pOther" select="./aw317:Grondslagen" />
					<xsl:with-param name="pValue2">#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pThis" select="./aw317:Grondslagen" />
					<xsl:with-param name="pValues">!#</xsl:with-param>
					<xsl:with-param name="pRule">CD029</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
