<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw317="http://www.istandaarden.nl/iwlz/1_2/aw317/schema/1_2"
	xmlns:ca317="http://www.istandaarden.nl/iwlz/1_2/ca317/schema/1_2"
	xmlns:ca319="http://www.istandaarden.nl/iwlz/1_2/ca319/schema/1_2">
	<!-- iWlz 1.2 CD040 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CD040" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD040"/>
	</xsl:template>

	<xsl:template match="aw317:WachtlijstFunctie" mode="CD040">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="aw317:Leveringsvorm " />
			<xsl:with-param name="pValue1">2</xsl:with-param>
			<xsl:with-param name="pOther" select="aw317:Instelling" />
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD040</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="aw317:WachtlijstZorgzwaartepakket" mode="CD040">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="aw317:Leveringsvorm " />
			<xsl:with-param name="pValue1">2</xsl:with-param>
			<xsl:with-param name="pOther" select="aw317:Instelling" />
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD040</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="ca317:GeleverdZorgzwaartepakket" mode="CD040">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="ca317:Leveringsvorm " />
			<xsl:with-param name="pValue1">2</xsl:with-param>
			<xsl:with-param name="pOther" select="ca317:Instelling" />
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD040</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="ca319:MutatieZorgzwaartepakket" mode="CD040">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="ca319:Leveringsvorm " />
			<xsl:with-param name="pValue1">2</xsl:with-param>
			<xsl:with-param name="pOther" select="ca319:Instelling" />
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD040</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
