<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw33="http://www.istandaarden.nl/iwlz/1_2/aw33/schema/1_2" xmlns:aw39="http://www.istandaarden.nl/iwlz/1_2/aw39/schema/1_2"
	xmlns:aw317="http://www.istandaarden.nl/iwlz/1_2/aw317/schema/1_2" xmlns:zk33="http://www.istandaarden.nl/iwlz/1_2/zk33/schema/1_2"
	xmlns:zk39="http://www.istandaarden.nl/iwlz/1_2/zk39/schema/1_2" xmlns:io31="http://www.istandaarden.nl/iwlz/1_2/io31/schema/1_2">
	<!-- iWlz 1.2 CS003 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CS003" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS003" />
	</xsl:template>

	<xsl:template match="aw317:GeindiceerdZorgzwaartepakket/aw317:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw317:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw317:GeindiceerdeFunctie/aw317:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw317:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw317:Indicatie/aw317:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw317:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:Contact/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Begindatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:GeindiceerdZorgzwaartepakket/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:GeindiceerdeFunctie/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:Indicatie/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:ToegewezenFunctie/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:ToegewezenZorgzwaartepakket/aw33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw39:AanvraagFunctie/aw39:ToewijzingEinddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw39:ToewijzingIngangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw39:AanvraagZorgzwaartepakket/aw39:ToewijzingEinddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../aw39:ToewijzingIngangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:Contact/io31:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../io31:Begindatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:GeindiceerdZorgzwaartepakket/io31:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../io31:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:GeindiceerdeFunctie/io31:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../io31:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:Indicatie/io31:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../io31:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:Contact/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Begindatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:GeindiceerdZorgzwaartepakket/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:GeindiceerdeFunctie/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:Indicatie/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:ToegewezenFunctie/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:ToegewezenZorgzwaartepakket/zk33:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk33:Ingangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk39:AanvraagFunctie/zk39:ToewijzingEinddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk39:ToewijzingIngangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk39:AanvraagZorgzwaartepakket/zk39:ToewijzingEinddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../zk39:ToewijzingIngangsdatum" />
			<xsl:with-param name="pRule">
				CS003
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
