<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw33="http://www.istandaarden.nl/iwlz/1_2/aw33/schema/1_2"
	xmlns:aw35="http://www.istandaarden.nl/iwlz/1_2/aw35/schema/1_2"
	xmlns:aw39="http://www.istandaarden.nl/iwlz/1_2/aw39/schema/1_2"
	xmlns:aw317="http://www.istandaarden.nl/iwlz/1_2/aw317/schema/1_2"
	xmlns:zk33="http://www.istandaarden.nl/iwlz/1_2/zk33/schema/1_2"
	xmlns:zk35="http://www.istandaarden.nl/iwlz/1_2/zk35/schema/1_2"
	xmlns:zk39="http://www.istandaarden.nl/iwlz/1_2/zk39/schema/1_2"
	xmlns:ca317="http://www.istandaarden.nl/iwlz/1_2/ca317/schema/1_2"
	xmlns:ca319="http://www.istandaarden.nl/iwlz/1_2/ca319/schema/1_2"
	xmlns:io31="http://www.istandaarden.nl/iwlz/1_2/io31/schema/1_2">
	<!-- iWlz 1.2 CS023 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CS023" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS023" />
	</xsl:template>

	<xsl:template match="aw317:Indicatie/aw317:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw317:Bericht/aw317:Header/aw317:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:Client/aw33:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw33:Bericht/aw33:Header/aw33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:Indicatie/aw33:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw33:Bericht/aw33:Header/aw33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:Relatie/aw33:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw33:Bericht/aw33:Header/aw33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:ToegewezenFunctie/aw33:Toewijzingsdatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw33:Bericht/aw33:Header/aw33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw33:ToegewezenZorgzwaartepakket/aw33:Toewijzingsdatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw33:Bericht/aw33:Header/aw33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw35:Client/aw35:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw35:Bericht/aw35:Header/aw35:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw39:Client/aw39:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw39:Bericht/aw39:Header/aw39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw39:MutatieFunctie/aw39:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw39:Bericht/aw39:Header/aw39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="aw39:MutatieZorgzwaartepakket/aw39:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::aw39:Bericht/aw39:Header/aw39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca317:Client/ca317:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca317:Bericht/ca317:Header/ca317:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca317:GeleverdZorgzwaartepakket/ca317:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca317:Bericht/ca317:Header/ca317:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca317:GeleverdeFunctie/ca317:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca317:Bericht/ca317:Header/ca317:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca319:Client/ca319:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca319:Bericht/ca319:Header/ca319:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca319:MutatieFunctie/ca319:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca319:Bericht/ca319:Header/ca319:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ca319:MutatieZorgzwaartepakket/ca319:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::ca319:Bericht/ca319:Header/ca319:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:Client/io31:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::io31:Bericht/io31:Header/io31:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:Indicatie/io31:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::io31:Bericht/io31:Header/io31:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="io31:Relatie/io31:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::io31:Bericht/io31:Header/io31:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:Client/zk33:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk33:Bericht/zk33:Header/zk33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:Indicatie/zk33:Afgiftedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk33:Bericht/zk33:Header/zk33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:Relatie/zk33:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk33:Bericht/zk33:Header/zk33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:ToegewezenFunctie/zk33:Toewijzingsdatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk33:Bericht/zk33:Header/zk33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk33:ToegewezenZorgzwaartepakket/zk33:Toewijzingsdatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk33:Bericht/zk33:Header/zk33:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk35:Client/zk35:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk35:Bericht/zk35:Header/zk35:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk39:Client/zk39:Geboortedatum/iwlz:Datum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk39:Bericht/zk39:Header/zk39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk39:MutatieFunctie/zk39:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk39:Bericht/zk39:Header/zk39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="zk39:MutatieZorgzwaartepakket/zk39:Mutatiedatum" mode="CS023">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="ancestor-or-self::zk39:Bericht/zk39:Header/zk39:BerichtIdentificatie/iwlz:Dagtekening" />
			<xsl:with-param name="pOther" select="." />
			<xsl:with-param name="pRule">
				CS023
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
