<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:iwlz="http://www.istandaarden.nl/iwlz/1_2/basisschema/schema/1_2"
	xmlns:aw35="http://www.istandaarden.nl/iwlz/1_2/aw35/schema/1_2"
	xmlns:aw39="http://www.istandaarden.nl/iwlz/1_2/aw39/schema/1_2"
	xmlns:zk35="http://www.istandaarden.nl/iwlz/1_2/zk35/schema/1_2"
	xmlns:zk39="http://www.istandaarden.nl/iwlz/1_2/zk39/schema/1_2"
	xmlns:ca317="http://www.istandaarden.nl/iwlz/1_2/ca317/schema/1_2"
	xmlns:ca319="http://www.istandaarden.nl/iwlz/1_2/ca319/schema/1_2">
	<!-- iWlz 1.2 CS057 version 1.0.2 (2016-09-19) -->

	<xsl:import href="../common/basis.xsl" />
	<xsl:template match="*" mode="CS057" />
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS057"/>
	</xsl:template>

	<xsl:template match="aw35:Client/aw35:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../aw35:*/aw35:*/aw35:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="aw39:Client/aw39:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../aw39:*/aw39:*/aw39:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="ca317:Client/ca317:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../ca317:*/ca317:*/ca317:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="ca319:Client/ca319:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../ca319:*/ca319:*/ca319:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="zk35:Client/zk35:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../zk35:*/zk35:*/zk35:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="zk39:Client/zk39:StatusAanlevering" mode="CS057">
		<xsl:call-template name="cs057">
			<xsl:with-param name="pAnders">
				<xsl:value-of select="count(../zk39:*/zk39:*/zk39:StatusAanlevering[text() != '3'])" />
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="cs057">
		<xsl:param name="pAnders" />
		<xsl:choose>
			<xsl:when test="$pAnders = 0"> <!-- all are 3 = no others -->
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pValues">9</xsl:with-param>
					<xsl:with-param name="pRule">CS057</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="checkvalue">
					<xsl:with-param name="pValues">1</xsl:with-param>
					<xsl:with-param name="pRule">CS057</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
